@mixin flex-column-center {
  display:flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@mixin flex-row-center {
  display:flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

@mixin heading {
  font-family: $font-family;
  font-size: $heading-size;
  font-weight:$heading-font-weight;
  padding:$padding;
  margin:0;
}

@mixin label {
  font-family: $font-family;
  color: $label-color;
  font-size:$label-font-size;
  margin-bottom:$mini-unit;
}

@mixin error {
  font-family: $font-family;
  color: $label-color;
  font-size:$label-font-size;
  margin-bottom:$mini-unit;
  background:$error-color;
  border-radius: $border-radius;
  padding: $padding;
  margin: $margin;
  border: $border;
  color: darken($error-color, 60%);
  display:block;
}

@mixin text {
  color: $text-color;
  font-size:$text-size;
  font-family: $font-family;
  line-height: $line-height;
  margin:$margin;
}

@mixin input {
  border: $border;
  border-radius: $border-radius;
  padding: $small-unit;
  width: $width;
  font-size:$text-size;
  appearance: none;
  position:relative;
}



@mixin button {
  @include flex-row-center();
  cursor:pointer;
  font-size:$text-size;
  font-family: $font-family;
  padding:$mini-unit;
  margin:$margin;
  min-width:200px;
  border-radius:$button-radius;
  border: $border;
  &:focus {
    outline: 0;
    box-shadow: 0 0 0 2px #fff, 0 0 0 4px #1977d4;
    -webkit-box-shadow: 0 0 0 2px #fff,0 0 0 4px #1977d4;
  }
}
@mixin button-cta {
  background: $secondary-color;
}
@mixin button-default {
  background: none;
}

@mixin button-icon {
  position: absolute;
  top: 15px;
  right: 15px;
  border: 0;
  cursor: pointer;
  background: none;
  height: 44px;
  width: 44px;

}

@mixin link {
  font-family: $font-family;
  display:block;
  margin: $margin;
  color: $primary-color;
  &:hover {
    text-decoration:none;
  }
}
